<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Implementing C2 Over Cloud Services — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `configure --service <val> --region <val>` | Configure cloud C2 channel |
| `deploy --service <val> --function-name <val>` | Deploy cloud relay function |
| `test --service <val> --beacon-interval <val>` | Test cloud C2 communications |
| `verify --service <val>` | Verify cloud C2 status |
| `report --format <val>` | Generate cloud C2 report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--service` | string | Yes | Service parameter |
| `--region` | string | Yes | Region parameter |
| `--function-name` | string | Yes | Function Name parameter |
| `--beacon-interval` | string | Yes | Beacon Interval parameter |
| `--format` | string | Yes | Format parameter |
